# Class: RuleAspectSource

## RuleAspectSource

#### new RuleAspectSource()

Enables loading rule aspects from the Nutforms Server.

Source:
  - aspectsSource/RuleAspectsSource.js, line 8

### Methods

#### fetchRules(className, context) → {object}

Fetches rules for given class within given context

##### Parameters:

Name | Type | Description
--- | --- | ---
`className` | string | name of the class for which the rules shall be fetched
`context` | string | current business context

Source:
  - aspectsSource/RuleAspectsSource.js, line 34

##### Returns:

fetched rules

Type
  object